[SCM] libdvd-pkg/master: fetching orig.tar fixed and improved:

onlyjob at users.alioth.debian.org onlyjob at users.alioth.debian.org
Sun Jun 30 17:15:58 UTC 2013


The following commit has been merged in the master branch:
commit 16cadaef60c5cb9577e1fc18ec077ec2d818c826
Author: Dmitry Smirnov <onlyjob at member.fsf.org>
Date:   Sat Jun 29 14:16:30 2013 +1000

    fetching orig.tar fixed and improved:
    
     call get-orig-source only if orig.tar is not present.

diff --git a/debian/b-i_libdvdcss.sh b/debian/b-i_libdvdcss.sh
index 5a94e82..fe50354 100755
--- a/debian/b-i_libdvdcss.sh
+++ b/debian/b-i_libdvdcss.sh
@@ -45,6 +45,23 @@ if [ "$?" -eq 2 ]; then
     exit 0
 fi
 
+## Download orig.tar (if needed)
+if [ ! -s ${DIR}/*_${VERGG%%-*}.orig.tar.* ]; then
+    echo "${PKGI}: Downloading orig source..."
+    [ -d "${DIR}" ] || mkdir -p ${DIR}
+    cd ${DIR} \
+    && /usr/share/${PKGI}/debian/rules get-orig-source \
+    || exit 1
+fi
+
+echo "${PKGI}: Checking orig.tar integrity..."
+sha1sum --check --strict /usr/share/${PKGI}/*_${VERGG%%-*}.orig.tar.*.sha1
+if [ $? -ne 0 ]; then
+    rm -fv ${DIR}/*_${VERGG%%-*}.orig.tar.*
+    echo "Source archive failed integrity check so it was deleted. Please try again."
+    exit 1
+fi
+
 apt-get check >/dev/null 2>&1
 if [ "$?" -ne 0 ]; then
     echo "${PKGI}: \`apt-get check\` failed, you may have broken packages. Aborting..."
@@ -53,19 +70,6 @@ if [ "$?" -ne 0 ]; then
 fi
 
 set -e
-mkdir -p ${DIR} || true
-
-## download orig.tar
-echo "${PKGI}: Downloading orig source..."
-cd ${DIR} \
-&& /usr/share/${PKGI}/debian/rules get-orig-source
-echo "${PKGI}: Checking integrity..."
-sha1sum --check --strict --quiet /usr/share/${PKGI}/*_${VERGG%%-*}.orig.tar.*.sha1
-if [ $? != 0 ]; then
-    rm -fv ${DIR}/*_${VERGG%%-*}.orig.tar.*
-    echo "Source archive failed integrity check so it was deleted. Please try again."
-    false
-fi
 
 ## preparing to build
 echo "${PKGI}: Unpacking and configuring..."

-- 
libdvdcss-pkg packaging



More information about the pkg-multimedia-commits mailing list